Package com.sun.grid.security.login

# Class GECAKeyManager

java.lang.Object
com.sun.grid.security.login.GECAKeyManager

All Implemented Interfaces:
  `KeyManager`, `X509KeyManager`

public class GECAKeyManager extends Object implements X509KeyManager
The GECAKeyManager handles the specific KeyManager properties of a Grid Engine CSP system

## Constructor Summary

Constructors
Constructor
Description
`GECAKeyManager()`
`GECAKeyManager(File serverKeystore, char[] pw)`
Creates a new instance of GECAKeyManager.

## Method Summary

Modifier and Type
Method
Description
`String`
`chooseClientAlias(String[] keyType, Principal[] arg1, Socket arg2)`
`String`
`chooseServerAlias(String arg0, Principal[] arg1, Socket arg2)`
`X509Certificate[]`
`getCertificateChain(String arg0)`
`String[]`
`getClientAliases(String arg0, Principal[] arg1)`
`PrivateKey`
`getPrivateKey(String arg0)`
`String[]`
`getServerAliases(String arg0, Principal[] arg1)`
`void`
`reset()`
`void`
`setKeystore(File serverKeystore, char[] pw)`
`void`
`setKeystore(KeyStore serverKeystore, char[] pw)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GECAKeyManager

public GECAKeyManager()

### GECAKeyManager

public GECAKeyManager(File serverKeystore, char[] pw) throws SecurityException
Creates a new instance of GECAKeyManager.

Parameters:
  `serverKeystore` - keystore file of the daemon
  `pw` - keystore password
Throws:
  `SecurityException`

## Method Details

### setKeystore

public void setKeystore(KeyStore serverKeystore, char[] pw) throws SecurityException

Throws:
  `SecurityException`

### setKeystore

public void setKeystore(File serverKeystore, char[] pw) throws SecurityException

Throws:
  `SecurityException`

### reset

public void reset()

### getClientAliases

public String[] getClientAliases(String arg0, Principal[] arg1)

Specified by:
  `getClientAliases` in interface `X509KeyManager`

### chooseClientAlias

public String chooseClientAlias(String[] keyType, Principal[] arg1, Socket arg2)

Specified by:
  `chooseClientAlias` in interface `X509KeyManager`

### getServerAliases

public String[] getServerAliases(String arg0, Principal[] arg1)

Specified by:
  `getServerAliases` in interface `X509KeyManager`

### chooseServerAlias

public String chooseServerAlias(String arg0, Principal[] arg1, Socket arg2)

Specified by:
  `chooseServerAlias` in interface `X509KeyManager`

### getCertificateChain

public X509Certificate[] getCertificateChain(String arg0)

Specified by:
  `getCertificateChain` in interface `X509KeyManager`

### getPrivateKey

public PrivateKey getPrivateKey(String arg0)

Specified by:
  `getPrivateKey` in interface `X509KeyManager`